complexType "SensitivityDefinition"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | name?, valuationScenarioReference?, ((partialDerivative+, formula?) | term | (coordinate | coordinateReference)+)
</...>

Content Model Elements (7):

  coordinate, coordinateReference, formula (in sensitivityDefinition), name (in sensitivityDefinition), | partialDerivative, term (in sensitivityDefinition), valuationScenarioReference (in sensitivityDefinition)

All Direct / Indirect Based Elements (1):

  sensitivityDefinition

Known Usage Locations

- As direct type of elements (1):
  sensitivityDefinition

Annotation
A set of characteristics describing a sensitivity.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="SensitivityDefinition"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"/> <xsd:element minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"/> <xsd:choice> <xsd:group ref="ComputedDerivative.model"/> <xsd:group ref="SensitivityDescription.model"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/7)
name

  Type: | xsd:string, predefined, simple content

  The name of the derivative, e.g. first derivative, Hessian, etc. Typically not required, but may be used to explain more complex derivative calculations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:string"/>

valuationScenarioReference

  Type: | ValuationScenarioReference, empty content

  Reference to the valuation scenario to which this sensitivity definition applies. If the SensitivityDefinition occurs within a SensitivitySetDefinition, this is not required and normally not used. In this case, if it is supplied it overrides the valuationScenarioReference in the SensitivitySetDefinition.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.